<?php
	/* ########################################################################
	function arrayGet($array, $key, $default = NULL)
		This function is nice because we can 'get' a posted variable even if it 
		doesn't exist.  So we don't get a failure, it just returns a Null.
	*/
	function arrayGet($array, $key, $default = NULL)
	{
		return isset($array[$key]) ? $array[$key] : $default;
		// example:
		// $email = arrayGet( $_POST, 'uname', '');
	}
	
	date_default_timezone_set('America/Chicago');
	
    $json = @file_get_contents('/etc/usm/config.json');
    if (!$json) {
        # use local config for development
        $json = file_get_contents('../../etc/config.json');
    }
    $config = json_decode($json, true);
	
	$myOS			= "linux";	// OS the web server is running on...
    $myAlertHandler = $config['alert_handler'];
    
    $defaultPermissions = 1; // used in newUser.php to set default permissions
    
	$cr = "\x0D";
	$cr = "\x0A";
	$crlf = "\x0D\x0A";
	$tab = "\x08";
?>